clan::Vec4hf Class Reference - ClanLib SDK
Description: clan::Vec4hf Class Reference

Public Member Functions | Public Attributes | List of all members
clan::Vec4hf Class Reference
clanCore Math

4D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec4hf ()
| Vec4hf (const float *array_xyzw)
| Vec4hf (const HalfFloat &p1, const HalfFloat &p2, const HalfFloat &p3, const HalfFloat &p4)
| Vec4hf (const HalfFloat &p1, const HalfFloat &p2, const Vec2hf &copy34)
| Vec4hf (const HalfFloat &scalar)
| Vec4hf (const HalfFloat *array_xyzw)
| Vec4hf (const Vec2f &copy, const Vec2f &copy34)
| Vec4hf (const Vec2f &copy, float p3, float p4)
| Vec4hf (const Vec2hf &copy, const HalfFloat &p3, const HalfFloat &p4)
| Vec4hf (const Vec2hf &copy, const Vec2hf &copy34)
| Vec4hf (const Vec3f &copy, float p4)
| Vec4hf (const Vec3hf &copy, const HalfFloat &p4)
| Vec4hf (const Vec4f &copy)
| Vec4hf (float p1, float p2, const Vec2f &copy34)
| Vec4hf (float p1, float p2, float p3, float p4)
| Vec4hf (float scalar)
| operator Vec4f () const
Vec4f | to_float () const

## Public Attributes
HalfFloat | w
HalfFloat | x
HalfFloat | y
HalfFloat | z

## Detailed Description

4D half-float vector

## Constructor & Destructor Documentation

## ◆ Vec4hf() [1/16]

clan::Vec4hf::Vec4hf | ( |  | ) |
| inline

## ◆ Vec4hf() [2/16]

clan::Vec4hf::Vec4hf | ( | const Vec4f & | copy | ) |
| inlineexplicit

## ◆ Vec4hf() [3/16]

clan::Vec4hf::Vec4hf | ( | const HalfFloat & | scalar | ) |
| inlineexplicit

## ◆ Vec4hf() [4/16]

clan::Vec4hf::Vec4hf | ( | const Vec2hf & | copy,
|  | const HalfFloat & | p3,
|  | const HalfFloat & | p4 )
| inlineexplicit

## ◆ Vec4hf() [5/16]

clan::Vec4hf::Vec4hf | ( | const Vec2hf & | copy,
|  | const Vec2hf & | copy34 )
| inlineexplicit

## ◆ Vec4hf() [6/16]

clan::Vec4hf::Vec4hf | ( | const Vec3hf & | copy,
|  | const HalfFloat & | p4 )
| inlineexplicit

## ◆ Vec4hf() [7/16]

clan::Vec4hf::Vec4hf | ( | const HalfFloat & | p1,
|  | const HalfFloat & | p2,
|  | const HalfFloat & | p3,
|  | const HalfFloat & | p4 )
| inlineexplicit

## ◆ Vec4hf() [8/16]

clan::Vec4hf::Vec4hf | ( | const HalfFloat & | p1,
|  | const HalfFloat & | p2,
|  | const Vec2hf & | copy34 )
| inlineexplicit

## ◆ Vec4hf() [9/16]

clan::Vec4hf::Vec4hf | ( | const HalfFloat * | array_xyzw | ) |
| inlineexplicit

## ◆ Vec4hf() [10/16]

clan::Vec4hf::Vec4hf | ( | float | scalar | ) |
| inlineexplicit

## ◆ Vec4hf() [11/16]

clan::Vec4hf::Vec4hf | ( | const Vec2f & | copy,
|  | float | p3,
|  | float | p4 )
| inlineexplicit

## ◆ Vec4hf() [12/16]

clan::Vec4hf::Vec4hf | ( | const Vec2f & | copy,
|  | const Vec2f & | copy34 )
| inlineexplicit

## ◆ Vec4hf() [13/16]

clan::Vec4hf::Vec4hf | ( | const Vec3f & | copy,
|  | float | p4 )
| inlineexplicit

## ◆ Vec4hf() [14/16]

clan::Vec4hf::Vec4hf | ( | float | p1,
|  | float | p2,
|  | float | p3,
|  | float | p4 )
| inlineexplicit

## ◆ Vec4hf() [15/16]

clan::Vec4hf::Vec4hf | ( | float | p1,
|  | float | p2,
|  | const Vec2f & | copy34 )
| inlineexplicit

## ◆ Vec4hf() [16/16]

clan::Vec4hf::Vec4hf | ( | const float * | array_xyzw | ) |
| inlineexplicit

## Member Function Documentation

## ◆ operator Vec4f()

clan::Vec4hf::operator Vec4f | ( |  | ) | const
| inline

References to_float().

## ◆ to_float()

Vec4f clan::Vec4hf::to_float | ( |  | ) | const
| inline

References w, x, y, and z.

Referenced by operator Vec4f().

## Member Data Documentation

## ◆ w

HalfFloat clan::Vec4hf::w

Referenced by to_float().

## ◆ x

HalfFloat clan::Vec4hf::x

Referenced by to_float().

## ◆ y

HalfFloat clan::Vec4hf::y

Referenced by to_float().

## ◆ z

HalfFloat clan::Vec4hf::z

Referenced by to_float().

The documentation for this class was generated from the following file:

- half_float_vector.h